package fr.mael.jiwigo.ui;

/*
  * $Id: CollapsiblePaneDemo.java 1164 2009-11-03 04:22:00Z kschaefe $
  *
  * Copyright 2009 Sun Microsystems, Inc., 4150 Network Circle,
  * Santa Clara, California 95054, U.S.A. All rights reserved.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
  * License as published by the Free Software Foundation; either
  * version 2.1 of the License, or (at your option) any later version.
  *
  * This library is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  * Lesser General Public License for more details.
  *
  * You should have received a copy of the GNU Lesser General Public
  * License along with this library; if not, write to the Free Software
  * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */

import java.awt.BorderLayout;

import javax.swing.JButton;
import javax.swing.JPanel;
import javax.swing.JSplitPane;
import javax.swing.JTabbedPane;

import org.jdesktop.swingx.JXCollapsiblePane;

import fr.mael.jiwigo.ui.browser.BrowserPanel;

/**
   Copyright (c) 2010, Mael
   All rights reserved.

   Redistribution and use in source and binary forms, with or without
   modification, are permitted provided that the following conditions are met:
    * Redistributions of source code must retain the above copyright
      notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright
      notice, this list of conditions and the following disclaimer in the
      documentation and/or other materials provided with the distribution.
    * Neither the name of jiwigo nor the
      names of its contributors may be used to endorse or promote products
      derived from this software without specific prior written permission.

   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
   ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
   WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
   DISCLAIMED. IN NO EVENT SHALL Mael BE LIABLE FOR ANY
   DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
   (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
   LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
   ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
   (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
   SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * @author Karl George Schaefer
 */
@SuppressWarnings("serial")
public class MyCollapsiblePanel extends JPanel {
    private JXCollapsiblePane collapsiblePane;
    private JButton collapsingButton;
    private BrowserPanel browserFrame = BrowserPanel.getInstance();
    private JSplitPane splitPane;

    //    /**
    //     * main method allows us to run as a standalone demo.
    //     */
    //    public static void main(String[] args) {
    //	SwingUtilities.invokeLater(new Runnable() {
    //	    public void run() {
    //		JFrame frame = new JFrame();
    //
    //		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    //		frame.getContentPane().add(new TEst());
    //		frame.setPreferredSize(new Dimension(800, 600));
    //		frame.pack();
    //		frame.setLocationRelativeTo(null);
    //		frame.setVisible(true);
    //	    }
    //	});
    //    }

    public MyCollapsiblePanel(JTabbedPane tabbedPane) {
	setLayout(new BorderLayout());
	splitPane = new JSplitPane(JSplitPane.VERTICAL_SPLIT);
	splitPane.setTopComponent(browserFrame);
	splitPane.setBottomComponent(tabbedPane);
	//	splitPane.addPropertyChangeListener(new PropertyChangeListener() {
	//
	//	    @Override
	//	    public void propertyChange(PropertyChangeEvent evt) {
	//		if (evt.getPropertyName().equals("dividerLocation")) {
	//		    browserFrame.callRepaint();
	//		}
	//	    }
	//	});
	splitPane.setContinuousLayout(true);
	splitPane.setResizeWeight(0.5);
	add(splitPane, BorderLayout.CENTER);

    }

    @Override
    public void revalidate() {
	// TODO Auto-generated method stub
	super.revalidate();

    }

    //    public void changeSize(Dimension dimension) {
    //	Dimension dim = new Dimension(dimension.width, dimension.height - 400);
    //
    //    }

}
